/* https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_image_grid_responsive */

html{
  height: 100%;
}

* {
    box-sizing: border-box;
  }
  
  body {

    /* background: linear-gradient(to bottom, rgba(255, 255, 255, 1), rgba(115, 134, 120, 1)) no-repeat fixed; */
    /*background: linear-gradient(to bottom, rgba(115, 134, 120, 1), rgba(115, 134, 120, 1)) no-repeat fixed;*/
    background: linear-gradient(to bottom, #b09cc8, #b09cc8) no-repeat fixed;
    background-size: auto;

    /* padding: 0 10%; */
    padding-top: 2%;

    font-family: 'Montserrat';
  }



  /* Header */
  header{
    /*background: rgba(0,0,0,0.6);*/
    width:100%;
    border-radius: 10px;
  }
  header{
    content:'';
    display:table;
    clear:both;
  }
  @keyframes fadeIn {
    from {opacity: 0}
    to {opacity: 1}
  }
  .menu{
    width:95%;
    margin: 0 auto;
  }
  nav{
    /*text-align: center;*/
  }
  nav ul.ul-left{
    /*display: inline-block;*/
    float: left;
    padding: 0;
    margin: 0;
  }
  nav ul.ul-right{
    /*display: inline-block;*/
    float: right;
    padding: 0;
    margin: 0;
  }
  /*nav ul li.home{
    list-style: none;
    float: left;
    margin-left: 75px;
    margin-right: 20px;
    padding: 12px 0;
    transition: all ease-in-out 250ms;
  }*/
  nav ul li{
    list-style: none;
    float: left;
    margin-left: 75px;
    margin-right: 20px;
    padding: 12px 0;
    transition: all ease-in-out 250ms;
  }
  nav ul li a{
    text-decoration: none;
    /*color: #FFFFFF;*/
    color: #000000;
    font-weight: bold;
    font-size: 20px;
  }
  nav li:hover{
    /*background: rgba(255,255,255,0.6);
    background: #738678;*/
    background: #D1B9EE;
    border-radius: 4px;
    padding-left: 10px;
    padding-right: 10px;
    margin-left: 65px;
    margin-right: 10px;
  }
  nav li:hover a{
    color:black;
  }
  /**nav li.active{
    background: #f792ad;
    border-radius: 4px;
    padding-left: 10px;
    padding-right: 10px;
    margin-left: 65px;
    margin-right: 10px;
  }**/
  nav li.active a{
    color:black;
  }
  /* End of header */
  

  
  .row {
    display: -ms-flexbox; /* IE10 */
    display: flex;
    -ms-flex-wrap: wrap; /* IE10 */
    flex-wrap: wrap;

    /*padding: 80px 80px;*/
    padding: 0 22px;
  }
  
  /* Create four equal columns that sits next to each other */
  .column {
    -ms-flex: 25%; /* IE10 */
    flex: 25%;
    max-width: 25%;
    padding: 0 10px;
  }
  
  .column img {
    margin-top: 20px;
    vertical-align: middle;
    width: 100%;
    border-radius: 4px;
  }

  .img-box {
    position: relative;
    width: 100%;
  }

  .overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 0%;
    width: 100%;
    opacity: 0;
    transition: .5s ease;
    /*background-color: white;*/
    background: linear-gradient(to top, rgba(0, 0, 0, 1), rgba(0, 0, 0, .75));
  }
  
  .img-box:hover .overlay {
    opacity: 1;
    height: 4vh;
    border-radius: 4px;
  }
  
  .description {
    color: white;
    font-size: 1em;
    font-weight: bold;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
  }
  
  /* Responsive layout - makes a two column-layout instead of four columns */
  @media screen and (max-width: 1400px) {
    body {
      padding: 0;
    }
    .row {
        padding: 0 22px; /* 22px to match padding + margin on sides of videos */
    }
    .column {
      -ms-flex: 50%;
      flex: 50%;
      max-width: 50%;
    }
  }
  
  /* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
  @media screen and (max-width: 600px) {
    body {
      padding: 0;
    }
    .row {
      padding: 0 22px; /* 22px to match padding + margin on sides of videos */
    }
    .column {
      -ms-flex: 100%;
      flex: 100%;
      max-width: 100%;
    }
  }

/* Footer */
footer {
  text-align: center;
  margin: 0 auto;
  animation: fadeIn 1s forwards;
  padding-bottom: 2%;
}
footer p{
  color: white;
}

footer ul{
  margin: 0;
  padding: 0;
}
footer li{
  display: inline-block;
  margin: 6px;
  list-style: none;
}
footer li a{
  color: white;
  text-decoration: none;
  font-size: 60px;
  transition: all ease-in-out 250ms;
}
footer li a:hover{
  color:#D1B9EE;
}
footer .instagram a:hover{
  color: #D1B9EE;
}

footer button {
  background-color: gray;
  color: white;
  padding: 12px 20px;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  transition: all ease-in-out 250ms;
}

footer button:hover {
  background-color: #D1B9EE;
}
/* End of footer */